let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/x7fr0bvnwvqvr3zg60di9jxvfwimcw7m-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/7g6ar24krh7vn66gvfwwv3nq9xsh5c6i-coreutils-8.31/bin";
  bzip2 = "/nix/store/r1hncr91kzyscxiab3c7wlfmvrhx01x6-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/rj2642fn2ciqwiihvv607n68fiy4qbdc-gzip-1.10/bin/gzip";
  xz = "/nix/store/4ih4qpvh7ydzw3m5a2q623a6nbp089fp-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/c98k0shcp2yp69g81mqhbqw3xbxvnk0r-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/7g6ar24krh7vn66gvfwwv3nq9xsh5c6i-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/xb0nl3z356n0sfrhswfli2g19a19slys-nix-2.3.5/bin";
  nixPrefix = "/nix/store/xb0nl3z356n0sfrhswfli2g19a19slys-nix-2.3.5";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/xb0nl3z356n0sfrhswfli2g19a19slys-nix-2.3.5/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
